% VERSION3
%
% Files
%   animate                    - animate: Creates an animation and stores it in an .avi movie file.
%   applyRules                 - applyRules: Applies the production rules of an L-System string.
%   createBranchedRoot         - createBranchedRoot: Creates several orders of a branched root
%   createRootSystem           - createRootSystem: Creates a number of 0th order roots. 
%   Example_Bounds             - Demonstrates the ability to use boundaries.
%   Example_DensityMap         - Shows some examples how to analyse a given root system using getMap.
%   Example_InitialRoots1      - Demonstrates the use of parameters in createRootSystem 'r' and 'e'. 
%   Example_InitialRoots2      - The example demonstrates the use of createRootSystem and
%   Example_KochCurve          - This example shows how to set up a L-system describing the Koch-curve.
%   Example_Maize              - An idealized Maize root system using parameters from literature.
%   Example_SingleMaizeRoot    - An individual 0th order root of an idealized Maize root system using the
%   Example_SingleRoot         - The example shows the growth of a single root with no lateral root over
%   Example_Trees2D            - This example shows six figures from the book "The algorithmic beauty of
%   getActive                  - getActive: Creates a vector of indices of active letters.
%   getBounds                  - getBounds: Returns the spatial bounds of an L-System string.
%   getMap                     - getMap: Creates an averaged map from an L-System string.
%   getPolylines               - getPolyline: Interprets a L-System string graphically using Turtle graphic.
%   getSegments                - getSegments: Gets the segments, radii and attributes of a root system
%   getTotal                   - getTotal: Returns the total surface, volume or length of a string.
%   getTurtle                  - getTurtle: Sets up basic L-System letters containing turtle commands.
%   initLabels                 - initLabels: Labels all letters with the name 'G'.
%   labelTip                   - labelTip: Updates the position, width, color and heading of a letter x.
%   plotLines                  - plotLines: Plots a roots system using lines
%   plotTubes                  - plotTubes: Plots a roots system using Matlab stream tubes
%   ruleBoundDeflection        - ruleBoundDeflection: Bounds a deflection rule.
%   ruleBranch                 - ruleBranch: Production rule for the branching zone of a root.
%   ruleChemotropismN          - ruleChemotropismN: The tendency grow towards higher nutrient concentration.
%   ruleCreateHighestOrderRoot - ruleCreateHighestOrderRoot: Creates a root with no succesive orders.
%   ruleCreateRoot             - ruleCreateRoot: Production rule that creates a root.
%   ruleDelay                  - ruleDelay: Replaces the letter with a successor after a time delay.
%   ruleGravitropismN          - ruleGravitropismN: Describes root tip deflection in response to gravity.
%   ruleGrowth                 - ruleGrowth: Describes growth of a single root without branchting
%   rulePlagiotropismN         - rulePlagiotropismN: The tendency to grow horicontally.
%   ruleSectionGrowth          - ruleSectionGrowth: Describes root growth within a section.
%   ruleTropismN               - ruleTropism: Root tip deflection, favouring headings where objfun becomes small.
%   showSlides                 - showSlides: Creates a slide show of a list of L-System strings.
%   simulate                   - simulate: Starts a simulation run.
%   writeString                - writeString: Creates a string containing the names of L-System letters
%   Example_Mesh               - Example_Mesh: Creates a mesh of a root system using DistMesh
%   distSegment                - distSegment: distance between points and cylinders
