function NextSlide(slides, newfig)

% showSlides: Create a slide show of a list of L-System strings.
% L-system strings = root growth
% Parameters:
% slides = a list of L-System strings
% (newfigure)= plots into a new figure (default newfig=true).

if nargin<2
    newfig=true;
end

if newfig
    figure;
end
hold on;

if length(slides)>1
    bnd = getBounds(slides{end});    
    bnd = bnd + [0,0.01,0,0.01,0,0.01,0,0]; 
end
az= -30;
el= 30;

for i=1 : length(slides)
    
    cla;  
    plotTubes(slides{i});

    title(['create a single root without branching ' num2str(i)]);
    if newfig
        xlabel('X(cm)');
        ylabel('Y(cm)');
        zlabel('Z(cm)');
    end
    if length(slides)>1
        axis equal;
        axis(bnd);
    end
    view(az,el)
    
    if (length(slides)>1)
        disp('press the space for the next 5 days');
        while waitforbuttonpress~=1
        end
    end
    [az,el] = view;  
end

