% create a single root without branching

clear all;

root.name='G';
k=20; % the maximal root length (cm)
r=2;  % the speed of root growth (cm/day)
dx=1; % the distance(x) unit

deflect = @(y,dx) ruleGravitropismN(y,0,pi/10,dx); 
% call an existed production rule 
% how does the root deflect due to the gravity ?

root.apply = @(x,dt) ruleCreateHighestOrderRoot(x, r, 0, k, 0, 0, 0, 0.1, 0,...
    [ 0 1 0 ], deflect, dx, dt);
% call an existed production rule
% create the root (highest order) ?

slides = simulate({root},100,100);
NextSlide(slides(1:5:30));
% show the slides for 30days simulation
% 6 slides in total, time interval is 5 days

lambda = @(t) k*(1-exp(-(r/k)*t));
% define the function lambda(t)
% lambda(t)=ki(1-exp(-r/k)*t))

for i=1:length(slides)
    l(i) = getTotal(slides{i});
    % l = length of the root
    % keep executing the recursive loop until l>lambda(t)
    % getTotl returns the total surface of the string 
    % show it on the slides
end

figure;
hold on;
plot(l,'r'); % plot the pre-determined root length
plot(lambda(1:1:100),'b'); 
plot(lambda(1:1:100)-dx,'g');
legend('approximation', 'upper bound = lambda(t)', 'lower bound = lambda(t)- dx');
legend(4);
xlabel('time (days)')
ylabel('root length (cm)')
