function new = ruleDelay(x,tend,next,dt)
% ruleDelay: Replaces the letter with a successor after a time delay.
%
% Parameters:
% x        :letter that is replaced by the production rule
% -> x.t   :local age
% tend     :time delay
% next     :initial string of the succesor 
%
% new       :resulting string
%
% Copyright 2008-2009 Daniel Leitner. See license.txt for details.
%
if (x.t+dt>tend) % finished
    
    if isfield(x,'xT') % label
        for i = 1 : length(next)
            if next{i}.name == 'G'
                next{i}.xT = x.xT;
                next{i}.yT = x.yT;
                next{i}.zT = x.zT;
                next{i}.wT = x.wT;
                next{i}.cT = x.cT;
                next{i}.R = x.R;
                next{i}=labelTip(next{i},next(1:i-1));   
            end            
        end
    end    
    new = applyRules(next,x.t+dt-tend);

else % do nothing

    x.t = x.t+dt;
    new = {x};

end



